# IRremoteESP8266: AirwellProtocol Union Reference

AirwellProtocol Union Reference

Native representation of a Airwell A/C message. More...

`#include <ir_Airwell.h>`

## Public Attributes

uint64_t | raw
struct {
uint64_t __pad0__:19
uint64_t Temp:4
uint64_t __pad1__:5
uint64_t Fan:2
uint64_t Mode:3
uint64_t PowerToggle:1
uint64_t __pad2__:0
}; |

## Detailed Description

Native representation of a Airwell A/C message.

## Member Data Documentation

## @1

struct { ... }

## __pad0__

uint64_t AirwellProtocol::__pad0__

## __pad1__

uint64_t AirwellProtocol::__pad1__

## __pad2__

uint64_t AirwellProtocol::__pad2__

## Fan

uint64_t AirwellProtocol::Fan

## Mode

uint64_t AirwellProtocol::Mode

## PowerToggle

uint64_t AirwellProtocol::PowerToggle

## raw

uint64_t AirwellProtocol::raw

## Temp

uint64_t AirwellProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Airwell.h